
public class ContaNativa {

    // O saldo da ContaNativa
    private double saldo;

    // O nmero da ContaNativa
    private String numero;

    static {
        System.load("/home/adss/monitoria/ip/jni/conta.lib");    
    }
    


    /**
     * Cria uma nova ContaNativa, dados seu nmero e saldo.
     */
    public ContaNativa (String n, double s) {
        this.numero = n;
        this.saldo = s;
        
    }

    /**
     * Cria uma nova ContaNativa, sem fundos.
     */
    public ContaNativa (String n) {
        this(n, 0.0);
    }

    /**
     * Credita o valor dado na ContaNativa.
     *
     * @param valor Valor a ser creditado
     */
    public native void creditar(double valor);


    /**
     * Debita o valor dado da ContaNativa.
     *
     * @param v Valor a ser debitado
     */
    public void debitar(double v) {
    	if (this.saldo > v) {
        	this.saldo = this.saldo - v;
        }
        else {
        	throw new IllegalArgumentException();
        }
    }

    /**
     * Retorna o saldo da ContaNativa.
     */
    public double getSaldo() {
        return this.saldo;
    }

    /**
     * Retorna o nmero da ContaNativa.
     */
    public String getNumero() {
        return this.numero;
    }
}
